V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
codcrafts
V2EX  ›  浏览器

浏览器如何自动设置允许网站加载不安全的内容

  •  1
     
  •   codcrafts · 183 天前 · 1159 次点击
    这是一个创建于 183 天前的主题,其中的信息可能已经有所发展或是发生改变。

    如标题所描述的那样,我们有个 https 的网站( https://example.com ),有一个功能会新打开一个 tab 页( http://example.com/xxxx/xxxx/index.html ),因为一些不可抗的原因,新打开的 tab 页无法使用 https ,只能使用 http ,这就触发了浏览器的安全策略,浏览器会默认拦截掉加载 http 的内容,一个手动的解决办法就是可以手动修改网站的设置,允许网站加载不安全的内容,如下图 现在我的问题是,有没有办法能自动修改这个网站的设置,允许当前这个网站加载不安全的内容,而避免让用户自己手动修改,各位 V 友有没有什么好的思路。

    目前已经做过的尝试:

    1. 设置 http 响应头的 CSP ( Content-Security-Policy )内容安全策略,在 http 的响应头里面添加这个 CSP 的响应头,没有效果
    2. 尝试通过浏览器插件,使用浏览器 api 设置,没有找到能解决问题的 api
    6 条回复    2024-01-12 17:10:23 +08:00
    wheat0r
        1
    wheat0r  
       183 天前
    我觉得如果一个安全策略可以自动修改,那也太可怕了
    zxkmm
        2
    zxkmm  
       183 天前 via iPhone
    “而避免让用户自己手动修改”
    怎么听上去是恶意软件才需要的行为
    Tumblr
        3
    Tumblr  
       183 天前   ❤️ 1
    在某个登不上台面的浏览器里,有这样的设置:

    你可以把你认为安全的网站添加到允许列表里。
    chairuosen
        4
    chairuosen  
       183 天前
    听起来像黑产
    rekulas
        5
    rekulas  
       183 天前   ❤️ 1
    尝试通过浏览器插件 - 既然是修改自己的浏览器,我记得启动时有个命令似乎可以绕过限制

    不过最好还是换 https 吧,一个反代解决的问题我不相信会遇到什么障碍
    F7TsdQL45E0jmoiG
        6
    F7TsdQL45E0jmoiG  
       183 天前   ❤️ 1
    设置 csp 的 upgrade-insecure-requests 是可以的使 https 套 http
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   1819 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 39ms · UTC 00:41 · PVG 08:41 · LAX 17:41 · JFK 20:41
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.